//comp_d.js
//サクラエディタのマクロです
//https://qiita.com/mm_mario/items/2c091aaddf23f52a5fb7
//を参考に編集しましたｗ
//hspcのPATHは修正して下さい


//HSPデバッグ実行 [F5]

//[hspc.exe]のパス
var hspcpath = "C:/Program Files/hsp36/hspc.exe";

//無題かどうか判断
if( ExpandParameter("$f") == "(無題)" ) {
	//コンパイルするファイルのパスを取得
	var filepath = ExpandParameter("$S").replace("sakura.exe","tmp.hsp");
	
	//名前を付けて保存
	FileSaveAs(filepass,99,0);
	
	//[hspc.exe]に処理を受け渡す
	ExecCommand(""+hspcpath+" "+"-dwrCa"+" "+filepath,0,"");
} else {
	//コンパイルするファイルのパスを取得
	var filepath = ExpandParameter("$F");
	
	//上書き保存
	FileSave();
	
	//[hspc.exe]に処理を受け渡す
	ExecCommand(""+hspcpath+" "+"-dwrCa"+" "+filepath,0,"");
}

// 著作権は@mm_marioさんにあります
// 著作権に関する記述がないので
// スクリプト形式ですしたぶん大丈夫でしょう